<?php
/*
 *  $Id: Authentication.php 334 2011-10-10 14:07:42Z k42b3.x@googlemail.com $
 *
 * psx
 * A object oriented and modular based PHP framework for developing
 * dynamic web applications. For the current version and informations
 * visit <http://phpsx.org>
 *
 * Copyright (c) 2011 Christoph Kappestein <k42b3.x@gmail.com>
 *
 * This file is part of psx. psx is free software: you can
 * redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or any later version.
 *
 * psx is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with psx. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * PSX_OpenId_Provider_Data_Authentication
 *
 * @author     Christoph Kappestein <k42b3.x@gmail.com>
 * @license    http://www.gnu.org/licenses/gpl.html GPLv3
 * @link       http://phpsx.org
 * @category   PSX
 * @package    PSX_OpenId
 * @version    $Revision: 334 $
 */
class PSX_OpenId_Provider_Data_Authentication
{
	public $secret;
	public $sig;

	public function __construct($secret, $sig)
	{
		$this->setSecret($secret);
		$this->setSig($sig);
	}

	public function setSecret($secret)
	{
		$this->secret = $secret;
	}

	public function setSig($sig)
	{
		$this->sig = $sig;
	}

	public function getSecret()
	{
		return $this->secret;
	}

	public function getSig()
	{
		return $this->sig;
	}
}

